POST api/queue/search
Request Information
URI Parameters
None.
Body Parameters
QueueSearchDto| Name | Description | Type | Additional information |
|---|---|---|---|
| DateType | string |
None. |
|
| ProcessedFrom | date |
None. |
|
| ProcessedTo | date |
None. |
|
| IsProcessed | boolean |
None. |
|
| Start | integer |
None. |
|
| Length | integer |
None. |
|
| CampaignId | globally unique identifier |
None. |
|
| ShortUnique | string |
None. |
|
| Status | StatusDto |
None. |
|
| Statuses | Collection of integer |
None. |
|
| PersonId | globally unique identifier |
None. |
Request Formats
application/json, text/json
Sample:
{
"dateType": "sample string 1",
"processedFrom": "2026-03-09T10:48:46.0194714+01:00",
"processedTo": "2026-03-09T10:48:46.0194714+01:00",
"isProcessed": true,
"start": 2,
"length": 3,
"campaignId": "b51b162d-8fe6-4840-8727-d32e9082046d",
"shortUnique": "sample string 4",
"status": {
"id": 1,
"name": "sample string 2",
"readableName": "sample string 3",
"type": "sample string 4",
"color": "sample string 5"
},
"statuses": [
1,
2
],
"personId": "08e7723c-2287-4209-80fa-a5aaa9612b33"
}
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample:
Sample not available.